PhycoBank - bug #6185

prevent from erroneous author or reference changes
11/07/2016 03:14 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: Estimated time: 0:00 hour
Target version: Registry prototype available

Description

authors and references can be shared by multiple taxon names. Changing an author will thus modify all names that are associated
whit it.

In order to prevent from erroneous changes we need a mechanism to protect the references and authors that are referenced by more
than one name.

For the Taxeditor a warning box has been implemented that pop up when a user attempts to modify such entity with multiple
associations.

Related issues:

Related to EDIT - feature request #5972: Prevent user from unwanted author an... Closed
Related to EDIT - feature request #4305: newly created entities must stay edi... In Progress
Related to EDIT - feature request #6867: explicitely assign and revoke UPDAT... Closed
History

#1 - 11/07/2016 03:14 PM - Andreas Kohlbecker

- Related to feature request #5972: Prevent user from unwanted author and reference updates added

#2 - 09/12/2017 09:52 AM - Andreas Kohlbecker

- Related to feature request #4305: newly created entities must stay editable even if a user only has the permission to create them added

#3 - 09/12/2017 09:53 AM - Andreas Kohlbecker
- Related to feature request #6867: explicitely assign and revoke UPDATE & DELETE permission per enitity in the registration workflow added

#4 - 12/04/2017 01:45 PM - Andreas Kohlbecker

- Status changed from New to Resolved

This is completed by the actions taken in the context of #6867, #6999, #4305, #6852

Completeness must be verified by review.

#5 - 09/03/2019 04:37 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

there have been no problems during the pas year, so we can be confident the the implementation is working as expected
